## libopenaptx 0.2.0

=== Makefile ===
.POSIX:
.SUFFIXES:
.PHONY: all clean install uninstall

RM = rm -f
CP = cp -a
LNS = ln -sf
MKDIR = mkdir -p
PRINTF = printf

CFLAGS = -W -Wall -O3
LDFLAGS = -s
ARFLAGS = -rcs

PREFIX = /usr/local
BINDIR = bin
LIBDIR = lib
INCDIR = include
PKGDIR = $(LIBDIR)/pkgconfig

NAME = openaptx
MAJOR = 0
MINOR = 2
PATCH = 0

LIBNAME = lib$(NAME).so
SONAME = $(LIBNAME).$(MAJOR)
SOFILENAME = $(SONAME).$(MINOR).$(PATCH)
ANAME = lib$(NAME).a
PCNAME = lib$(NAME).pc

UTILITIES = $(NAME)enc $(NAME)dec
STATIC_UTILITIES = $(NAME)enc.static $(NAME)dec.static

HEADERS = $(NAME).h
SOURCES = $(NAME).c
AOBJECTS = $(NAME).o
IOBJECTS = $(NAME)enc.o $(NAME)dec.o

BUILD = $(SOFILENAME) $(SONAME) $(LIBNAME) $(ANAME) $(AOBJECTS) $(IOBJECTS) $(UTILITIES) $(STATIC_UTILITIES)

all: $(BUILD)

clean:
	$(RM) $(BUILD)

install: $(BUILD)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(LIBDIR)
	$(CP) $(SOFILENAME) $(SONAME) $(LIBNAME) $(ANAME) $(DESTDIR)$(PREFIX)/$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(BINDIR)
	$(CP) $(UTILITIES) $(DESTDIR)$(PREFIX)/$(BINDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(INCDIR)
	$(CP) $(HEADERS) $(DESTDIR)$(PREFIX)/$(INCDIR)
	$(MKDIR) $(DESTDIR)$(PREFIX)/$(PKGDIR)
	$(PRINTF) 'prefix=%s\nexec_prefix=$${prefix}\nlibdir=$${exec_prefix}/%s\nincludedir=$${prefix}/%s\n\n' $(PREFIX) $(LIBDIR) $(INCDIR) > $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)
	$(PRINTF) 'Name: lib%s\nDescription: Open Source aptX codec library\nVersion: %u.%u.%u\n' $(NAME) $(MAJOR) $(MINOR) $(PATCH) >> $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)
	$(PRINTF) 'Libs: -Wl,-rpath=$${libdir} -L$${libdir} -l%s\nCflags: -I$${includedir}\n' $(NAME) >> $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)

uninstall:
	for f in $(SOFILENAME) $(SONAME) $(LIBNAME) $(ANAME); do $(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$$f; done
	for f in $(UTILITIES); do $(RM) $(DESTDIR)$(PREFIX)/$(BINDIR)/$$f; done
	for f in $(HEADERS); do $(RM) $(DESTDIR)$(PREFIX)/$(INCDIR)/$$f; done
	$(RM) $(DESTDIR)$(PREFIX)/$(PKGDIR)/$(PCNAME)

$(UTILITIES): $(LIBNAME)

$(STATIC_UTILITIES): $(ANAME)

$(AOBJECTS) $(IOBJECTS): $(HEADERS)

$(LIBNAME): $(SONAME)
	$(LNS) $(SONAME) $@

$(SONAME): $(SOFILENAME)
	$(LNS) $(SOFILENAME) $@

$(SOFILENAME): $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -I. -shared -fPIC -Wl,-soname,$(SONAME) -o $@ $(SOURCES)

$(ANAME): $(AOBJECTS)
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(AOBJECTS)

.SUFFIXES: .o .c .static

.o:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBNAME)

.o.static:
	$(CC) $(CFLAGS) $(LDFLAGS) -static -o $@ $< $(ANAME)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I. -c -o $@ $<

=== debian/changelog ===
libopenaptx (0.2.0-6+exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1 without changes needed

 -- Didier 'OdyX' Raboud <odyx@debian.org>  Fri, 22 Jul 2022 17:05:53 +0200

libopenaptx (0.2.0-6+exp0) experimental; urgency=medium

  * Team upload
  * Use OdyX's dtag to upload automatically from Salsa CI

 -- Didier 'OdyX' Raboud <odyx@debian.org>  Fri, 22 Jul 2022 14:54:59 +0200

libopenaptx (0.2.0-6) unstable; urgency=medium

  * Orphan package

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 16:35:07 +0200

libopenaptx (0.2.0-5) unstable; urgency=medium

  * Fix libopenaptx.pc to drop -Wl,rpath= setting (Closes: #980297)

 -- Didier Raboud <odyx@debian.org>  Sun, 17 Jan 2021 20:14:41 +0100

libopenaptx (0.2.0-4) unstable; urgency=medium

  * Patch utils' binaries to add whitespace between examples, for better
    help2man result
  * Use help2man directly without include

 -- Didier Raboud <odyx@debian.org>  Sat, 09 May 2020 20:05:05 +0200

libopenaptx (0.2.0-3) unstable; urgency=medium

  * Set DEB_CFLAGS_MAIN_APPEND to follow upstream's -O3 recommendation
  * Refresh manpage examples from upstream's 0.2.0 README
  * Strip relative path from manpage
  * Use gbp.conf
  * Bump debhelper to 13

 -- Didier Raboud <odyx@debian.org>  Sat, 09 May 2020 17:07:04 +0200

libopenaptx (0.2.0-2) unstable; urgency=medium

  * Mark libopenaptx-dev Multi-Arch: same

 -- Didier Raboud <odyx@debian.org>  Fri, 01 May 2020 16:03:54 +0200

libopenaptx (0.2.0-1) unstable; urgency=medium

  * Update to upstream's 0.2.0
    - Update d/copyright notice for Pali Rohár
    - Add two symbols added in 0.2.0
  * Set upstream metadata
  * Put openaptx-utils in section sound (Closes: #956719)
  * Install libopenaptx.{a,pc} in -dev
  * Enforce CFLAGS and LDFLAGS in build, as there's no configure

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Apr 2020 19:07:50 +0200

libopenaptx (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #955126)

 -- Didier Raboud <odyx@debian.org>  Fri, 27 Mar 2020 16:55:43 +0100

=== debian/control ===
Source: libopenaptx
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 help2man,
Standards-Version: 4.6.1
Homepage: https://github.com/pali/libopenaptx
Vcs-Browser: https://salsa.debian.org/debian/libopenaptx
Vcs-Git: https://salsa.debian.org/debian/libopenaptx.git
Rules-Requires-Root: no

Package: libopenaptx0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Audio Processing Technology codec (aptX), shared libraries
 Support for aptX and aptX HD codec variants; they both operate on raw 24-bit
 signed stereo audio sample; at 6:1 fixed compress ratio for aptX; at 4:1 fixed
 compress ratio for aptX HD.
 .
 This package contains the shared libraries.

Package: libopenaptx-dev
Architecture: any
Section: libdevel
Depends:
 libopenaptx0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Audio Processing Technology codec (aptX), development headers
 Support for aptX and aptX HD codec variants; they both operate on raw 24-bit
 signed stereo audio sample; at 6:1 fixed compress ratio for aptX; at 4:1 fixed
 compress ratio for aptX HD.
 .
 This package contains the development headers.

Package: openaptx-utils
Architecture: any
Section: sound
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Audio Processing Technology codec (aptX), tools
 Support for aptX and aptX HD codec variants; they both operate on raw 24-bit
 signed stereo audio sample; at 6:1 fixed compress ratio for aptX; at 4:1 fixed
 compress ratio for aptX HD.
 .
 This package contains the simple openaptxenc and openaptxdec utilities.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/\.asc/ \
  https://github.com/pali/libopenaptx/releases/latest .*/libopenaptx-(\d\S+)\.tar\.gz
